Skip to main content
POST
/
v1
/
api
/
oauth
/
apps
Create an OAuth app
curl --request POST \
  --url https://api.hq.zone/v1/api/oauth/apps \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "client_name": "<string>",
  "grant_types": [
    "<string>"
  ],
  "redirect_uris": [
    "<string>"
  ],
  "response_types": [
    "<string>"
  ],
  "scope": "<string>",
  "token_endpoint_auth_method": "<string>"
}
'
{
  "client_id": "<string>",
  "client_type": "<string>",
  "name": "<string>",
  "redirect_uris": [
    "<string>"
  ],
  "registration_access_token": "<string>",
  "scopes": [
    "<string>"
  ],
  "client_secret": "<string>"
}

Authorizations

Authorization
string
header
required

Personal Access Token. Send as Authorization: Bearer hq_pat_....

Body

application/json
client_name
string | null
grant_types
string[] | null
redirect_uris
string[]
response_types
string[] | null
scope
string | null

Space-delimited capability scopes the client may request.

token_endpoint_auth_method
string | null

Response

The created app (secret + registration token shown once)

client_id
string
required
client_type
string
required
name
string
required
redirect_uris
string[]
required
registration_access_token
string
required

The RFC 7592 management bearer; shown ONCE.

scopes
string[]
required
client_secret
string | null

Present only for confidential clients; shown ONCE, never retrievable.